
Redmine - Feature #18643

Reload server after plugin changed in development mode.

2014-12-15 15:11 - Alexander Kholodniak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

Hi all! After every plugin change need to restart the server (development mode). How to fix it? I use ActionDispatch and

require_dependecy method in my init file. But after all my changes I have:

TypeError (superclass mismatch for class MenuItem):

lib/redmine/menu_manager.rb:389:in `<module:MenuManager>'

lib/redmine/menu_manager.rb:19:in `<module:Redmine>'

lib/redmine/menu_manager.rb:18:in `<top (required)>'

Please, help me, i don't know how fox it :(

History

#1 - 2015-01-10 18:29 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

#2 - 2024-01-29 01:02 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Please use forums for asking questions. The Issues page is for reporting bugs, suggesting new features, or submitting patches. It may be helpful for

you to read the How to request help.

Files

init.rb 946 Bytes 2014-12-15 Alexander Kholodniak
